Subject: RE: Authoring Web Service

From: "Clemm, Geoff" <[email-masked]>
Date: Mon, 1 Apr 2002 11:17:05 -0500

The WebDAV family of protocols (RFC 2616, RFC 2518, RFC 3253)
have been carefully designed to provide for interoperability.
This means for example, that an RFC2616 client will work against
RFC 2616, RFC 2518, and RFC 3253 servers, and an RFC 2518 client
will work against an RFC 2518 and RFC 3253 server.

In contrast, a Web Services interface provides no particular
mechanism to support this kind of interoperability.  You certainly
could define a Web Service interface for each of these protocols
if you didn't care about interoperability between them, but it is
unclear what would be the point (other than market-hype compatibility :-).
For example, the "service lookup" feature of Web Services
is rather pointless in any even moderately successful authoring protocol,
since you'd end up with thousands (if not hundred's of thousands) 
of registered "authoring web services".

Cheers,
Geoff

-----Original Message-----
From: hugh [mailto:[email-masked]]
Sent: Tuesday, March 26, 2002 9:41 PM
To: [email-masked]
Subject: Authoring Web Service

I have just started learning about WebDAV and have
a few thoughts/questions that someone on this group
may be able to help with.

I understand WebDAV to be a HTTP-extension-based
protocol that enables functionality that is important
to distributed authoring.  When I looked at the draft
specs, it appears that the method extensions seem to
map to operations performed on authored resources and
the payload of the message seems to be arguments of
sorts to the WebDAV server for the method being
invoked.

I was wondering if the WebDAV specs (and sub-specs)
would be amenable to extrapolation to a
general-purpose
Web-Services interface definition and whether there
would be any point in thinking this way.  As a 
newbie to this technology, it seems like an obvious
connection to me.  In fact I suspect that I will find
a whole bunch of other initiatives to define WSDL
interfaces for "content managerment" or "distributed
authoring" or..

Thank you for any pointers to discussions or
links to related topics!

__________________________________________________
Do You Yahoo!?
Yahoo! Movies - coverage of the 74th Academy Awards(r)
http://movies.yahoo.com/